#mainContainer{
  max-width: 75vw;
}

:root{
  --bd: 5px double #7D5A8A;
  --bdRadius: 15px;
  --bgColor: #DDA3E3;
  --pd: 5px
}


/*visible stuff*/

body{
  display: flex;
  justify-content: center;
  text-align: center;
  background-image: linear-gradient(to bottom right, #FFC87A, #FF9EFD);
}

header{
  width: calc(75vw - 10px);
  border: var(--bd);
  border-radius: var(--bdRadius);
  background-color: var(--bgColor);
  padding-top: 3vh;
  overflow: hidden
}

nav{
  background-color: #d188da;
  height: 50px;
  margin-top: 3vh;
}

nav ul{
  list-style: none;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  padding: 0;
  padding-top: 6px;
  margin-bottom: 0px
}

nav ul li{
  border: var(--bd);
  border-radius: var(--bdRadius);
  background-color: #AA74B5;
  padding: 5px;
}

nav ul :hover{
  background-color: #fbccfb;
  border-radius: 15px;
}

footer{
  width: calc(75vw - 10px);
  border: var(--bd);
  border-radius: var(--bdRadius);
  background-color: var(--bgColor);
}


/*main visuals*/

.customLine{
  border: 1px solid #7D5A8A;
  border-radius: 15px;
  height: 2px;
  background-color: #7D5A8A;
  margin-left: 5px;
  margin-right: 5px;
}

.extraBorder{
  border: var(--bd);
  border-radius: var(--bdRadius);
  padding: var(--pd);
}

#descriptionBox{
  background: var(--bgColor);
  border: var(--bd);
  border-radius: var(--bdRadius);
  margin: 5px 0px 5px 0px;
  padding: var(--pd);
}


/*blinkie bars*/

#marqueeContainer{
  border: var(--bd);
  border-radius: var(--bdRadius);
  background-color: #DDA3E3;
  overflow: hidden;
  margin-top: 5px;
  margin-bottom: 5px;
}

.blinkie{
  flex: 0 0 auto;
  width: 150px;
  height: 20px;
  display: flex;
  padding-left: 5px;
}

#marquee{
  display: flex;
  width: max-content;
  animation: scroll 90s linear infinite;
}

#marqueeContainer2{
  border: var(--bd);
  border-radius: var(--bdRadius);
  background-color: #DDA3E3;
  overflow: hidden;
  margin-top: 0.5vh;
  margin-bottom: 0.5vh;
}

.stamp{
  flex: 0 0 auto;
  width: 99px;
  height: 56px;
  display: flex;
  padding-left: 5px;
}

#marquee2{
  display: flex;
  width: max-content;
  animation: scroll 45s linear infinite;
}

@keyframes scroll{
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}


/*shrines*/

#gameShrineContainer{
  background: var(--bgColor);
  border: var(--bd);
  border-radius: var(--bdRadius);
  padding: var(--pd);
  margin-bottom: 5px;
  height: auto;
}

#gameShrineContainer .shrineBox{
  background: var(--bgColor);
  border: var(--bd);
  border-radius: var(--bdRadius);
  padding: var(--pd);
  margin-left: 5px;
  height: 81px;
  width: auto;
  min-width: 200px;
  max-width: 250px;
}

#showShrineContainer{
  background: var(--bgColor);
  border: var(--bd);
  border-radius: var(--bdRadius);
  padding: var(--pd);
  margin-bottom: 5px;
  height: auto;
}

#showShrineContainer .shrineBox{
  background: var(--bgColor);
  border: var(--bd);
  border-radius: var(--bdRadius);
  padding: var(--pd);
  margin-left: 5px;
  height: 81px;
  width: auto;
  min-width: 250px;
  max-width: 300px;
}

#otherShrineContainer{
  background: var(--bgColor);
  border: var(--bd);
  border-radius: var(--bdRadius);
  padding: var(--pd);
  margin-bottom: 5px;
  height: auto;
}

#otherShrineContainer .shrineBox{
  background: var(--bgColor);
  border: var(--bd);
  border-radius: var(--bdRadius);
  padding: var(--pd);
  margin-left: 5px;
  height: 81px;
  width: auto;
  min-width: 200px;
  max-width: 250px;
}

.bigAhFlex{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  text-align: center;
  overflow: visible;
  height: auto;
  max-width: 100%;
}

/*text styling*/ 

h1{
  font-size: 2em;
  font-weight: bold;
  margin: 0;
  padding: 0;
}

h2{
  font-size: 1.4em;
  font-weight: bold;
  margin: 0;
  padding: 0;
}

p{
  font-size: 1.2em;
  margin: 0;
  padding: 0;
}

a{
  color: black;
  font-weight: bold;
}
